### Method

# FwupdPlugin StructEfiVariableAuthentication2 set_auth_info

#### Declaration [src]

    gboolean
    fu_struct_efi_variable_authentication2_set_auth_info (
      FuStructEfiVariableAuthentication2* st,
      const FuStructEfiWinCertificate* st_donor,
      GError** error
    )

#### Description

No description available.

This method is not directly available to language bindings.

#### Parameters

`st_donor` | `FuStructEfiWinCertificate`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.